%define rtpname librpm4.3

%define	with_python_subpackage	1%{nil}
%define	with_python_version	%(python -c 'import sys; print sys.version[:3]')%{nil}
%define min_python_version	2.2
%define	with_bzip2		1%{nil}
%define	with_apidocs		1%{nil}

# XXX legacy requires './' payload prefix to be omitted from rpm packages.
%define	_noPayloadPrefix	1

%define	__prefix	/usr
%{?!_lib: %define _lib lib}
%{expand: %%define __share %(if [ -d %{__prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}

%define __bindir	%{__prefix}/bin
%define __includedir	%{__prefix}/include
%define __libdir	%{__prefix}/%{_lib}
%define __mandir	%{__prefix}%{__share}/man

Summary: The RPM package management system.
Name: rpm
%define version 4.3.3
Version: %{version}
%{expand: %%define rpm_version %{version}}
Release: 8_42%{?dist}
Group: System Environment/Base
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.0.x/rpm-%{rpm_version}.tar.gz
Source100: RPM-GPG-KEY.atrpms
Patch0:  rpm-sparse.patch
Patch11: rpm-4.2-nopassphrase.patch
Patch12: rpm-4.3-buildhost.patch
Patch13: rpm4.3.2-python.patch
Patch100: rpm-4.3-extrarpmrcs.patch
License: GPL
Conflicts: patch < 2.5
%ifos linux
Prereq: fileutils shadow-utils
%endif
Requires: popt = 1.9.1
Requires: %{rtpname} = %{eversion}
Obsoletes: rpm-perl < %{version}

# XXX necessary only to drag in /usr/lib/libelf.a, otherwise internal elfutils.
BuildRequires: elfutils-devel
# If a previous version of rpm is installed, then its shared libs may
# get linked against in library install mode. The library installation
# of librpm looks like:
# /bin/sh ../libtool --mode=relink gcc [...]
# gcc -shared  cpio.lo [...] -L/usr/src/at/work/BUILD/rpm-4.2/popt/.libs -L/usr/local/lib -L/usr/src/at/work/BUILD/rpm-4.2/zlib -L/usr/src/at/work/BUILD/rpm-4.2/rpmio/.libs -L/usr/lib -L/var/tmp/rpm-root/usr/lib -lrpmdb -lrpmio -lpopt     -Wl,-soname -Wl,librpm-4.2.so -o .libs/librpm-4.2.so
# Note that there is no -L...rpmdb/.libs and also that the installation dir is after /usr/lib, so instead of librpmdb-4.2 you link against 4.1
BuildConflicts: rpm-devel > %{version}, rpm-devel < %{version}

BuildRequires: zlib-devel

BuildRequires: beecrypt-devel >= 3.0.1
Requires: beecrypt >= 3.0.1

BuildRequires: gcc-c++, bison, m4

BuildRequires: libtool, automake, autoconf

BuildRequires: gettext-devel, readline-devel, ncurses-devel

BuildRequires: libselinux-devel >= 1.18
%{!?_without_selinux:Requires: libselinux >= 1.18}

BuildRequires: nptl-devel

BuildRequires: redhat-release

# XXX Red Hat 5.2 has not bzip2 or python
%if %{with_bzip2}
BuildRequires: bzip2 >= 0.9.0c-2, bzip2-devel >= 0.9.0c-2
%endif
%if %{with_python_subpackage}
BuildRequires: python-devel >= %{min_python_version}
%endif

BuildRequires: doxygen

BuildRoot: %{_tmppath}/%{name}-root

%description
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

%package -n %{rtpname}
Summary: Runtime libraries for the RPM package management system.
Group: System Environment/Libraries
Obsoletes: rpm-libs <= %{evr}

%description -n %{rtpname}
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.

%package devel
Summary:  Development files for manipulating RPM packages.
Group: Development/Libraries
Requires: %{rtpname} = %{eversion}
Requires: elfutils-devel
%{!?_without_selinux:Requires: libselinux-devel >= 1.18}
%{!?_without_posixmutexes:Requires: nptl-devel}

%description devel
This package contains the RPM C library and header files. These
development files will simplify the process of writing programs that
manipulate RPM packages and databases. These files are intended to
simplify the process of creating graphical package managers or any
other tools that need an intimate knowledge of RPM packages in order
to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary: Scripts and executable programs used to build packages.
Group: Development/Tools
Requires: rpm = %{rpm_version}-%{release}, patch >= 2.5, file
Provides: rpmbuild(VendorConfig) = 4.1-1

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%if %{with_python_subpackage}
%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Development/Libraries
Requires: rpm = %{rpm_version}-%{release}
Requires: %{python_libdir}
Requires: elfutils >= 0.55

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.
%endif

%package -n popt
Summary: A C library for parsing command line parameters.
Group: Development/Libraries
Version: 1.9.1

%description -n popt
Popt is a C library for parsing command line parameters. Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments. Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

%prep
%setup -q
cp -a %{SOURCE100} .
%patch0 -b .sparse
%patch11 -p1 -b .nopassphrase
%patch12 -p1 -b .buildhost
%patch13 -p1 -b .python
%patch100 -p1 -b .extrarpmrcs

%build
aclocal
automake
autoconf

# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

%if %{with_python_subpackage}
WITH_PYTHON="--with-python=%{with_python_version}"
%else
WITH_PYTHON="--without-python"
%endif

%ifos linux
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure --prefix=%{__prefix} --sysconfdir=/etc \
	--localstatedir=/var --infodir='${prefix}%{__share}/info' \
	--mandir='${prefix}%{__share}/man' \
	%{?_without_selinux:--without-selinux} \
	$WITH_PYTHON %{!?_without_posixmutexes:--enable-posixmutexes} --without-javaglue
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{__prefix} $WITH_PYTHON \
	--without-javaglue
%endif

# XXX hack out O_DIRECT support in db4 for now.
perl -pi -e 's/#define HAVE_O_DIRECT 1/#undef HAVE_O_DIRECT/' db3/db_config.h

make %{_smp_mflags}

%install
# XXX rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" install MKINSTALLDIRS=`pwd`/mkinstalldirs pylibdir=%{_libdir}/python%{with_python_version}

%ifos linux

# Save list of packages through cron
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm

mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
for dbi in \
	Basenames Conflictname Dirnames Group Installtid Name Packages \
	Providename Provideversion Requirename Requireversion Triggername \
	Filemd5s Pubkeys Sha1header Sigmd5 \
	__db.001 __db.002 __db.003 __db.004 __db.005 __db.006 __db.007 \
	__db.008 __db.009
do
    touch $RPM_BUILD_ROOT/var/lib/rpm/$dbi
done

# - serialize rpmtsRun() using fcntl on /var/lock/rpm/transaction.
mkdir -p ${RPM_BUILD_ROOT}/var/lock/rpm
%endif

%if %{with_apidocs}
gzip -9n apidocs/man/man*/* || :
%endif

# Get rid of unpackaged files
{ cd $RPM_BUILD_ROOT
  rm -rf .%{__includedir}/beecrypt
  rm -f .%{__libdir}/libbeecrypt.{a,la,so.2.2.0}
  rm -f .%{__prefix}/lib/rpm/{Specfile.pm,cpanflute,cpanflute2,rpmdiff,rpmdiff.cgi,sql.prov,sql.req,tcl.req}
  rm -rf .%{__mandir}/{fr,ko}
}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%ifos linux
if [ -f /var/lib/rpm/packages.rpm ]; then
    echo "
You have (unsupported)
	/var/lib/rpm/packages.rpm	db1 format installed package headers
Please install rpm-4.0.4 first, and do
	rpm --rebuilddb
to convert your database from db1 to db3 format.
"
    exit 1
fi
/usr/sbin/groupadd -g 37 rpm				> /dev/null 2>&1
/usr/sbin/useradd  -r -d /var/lib/rpm -u 37 -g 37 rpm -s /sbin/nologin	> /dev/null 2>&1
%endif
exit 0

%post
%ifos linux
/sbin/ldconfig

# Establish correct rpmdb ownership.
/bin/chown rpm.rpm /var/lib/rpm/[A-Z]*

# XXX Detect (and remove) incompatible dbenv files during db-4.2.52 upgrade.
# XXX Removing dbenv files in %%post opens a lock race window, a tolerable
# XXX risk compared to the support issues involved with upgrading Berkeley DB.
[ -w /var/lib/rpm/__db.001 ] &&
/usr/lib/rpm/rpmdb_stat -CA -h /var/lib/rpm 2>&1 |
grep "db_stat: Program version 4.2 doesn't match environment version" 2>&1 > /dev/null &&
	rm -f /var/lib/rpm/__db*
                                                                                
%endif
exit 0

%ifos linux
%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /usr/sbin/userdel rpm
    /usr/sbin/groupdel rpm
fi
exit 0

%post -n %{rtpname} -p /sbin/ldconfig
%postun -n %{rtpname} -p /sbin/ldconfig

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%post -n popt -p /sbin/ldconfig
%postun -n popt -p /sbin/ldconfig
%endif

%if %{with_python_subpackage}
%post python -p /sbin/ldconfig
%postun python -p /sbin/ldconfig
%endif

%define	rpmattr		%attr(0755, rpm, rpm)

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY RPM-GPG-KEY BETA-GPG-KEY CHANGES GROUPS doc/manual/[a-z]*
%doc RPM-GPG-KEY.atrpms
# XXX comment these lines out if building with rpm that knows not %pubkey attr
%pubkey RPM-PGP-KEY
%pubkey RPM-GPG-KEY
%pubkey BETA-GPG-KEY
%pubkey RPM-GPG-KEY.atrpms
%attr(0755, rpm, rpm)	/bin/rpm

%ifos linux
%config(noreplace,missingok)	/etc/cron.daily/rpm
%config(noreplace,missingok)	/etc/logrotate.d/rpm
%dir				/etc/rpm
#%config(noreplace,missingok)	/etc/rpm/macros.*
%attr(0755, rpm, rpm)	%dir /var/lib/rpm
%attr(0755, rpm, rpm)	%dir /var/spool/repackage
%attr(0755, rpm, rpm)	%dir /var/lock/rpm

%define	rpmdbattr %attr(0644, rpm, rpm) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)
%rpmdbattr	/var/lib/rpm/*
%endif

%rpmattr	%{__bindir}/rpm2cpio
%rpmattr	%{__bindir}/gendiff
%rpmattr	%{__bindir}/rpmdb
#%rpmattr	%{__bindir}/rpm[eiu]
%exclude	%{__bindir}/rpm[eiu]
%rpmattr	%{__bindir}/rpmsign
%rpmattr	%{__bindir}/rpmquery
%rpmattr	%{__bindir}/rpmverify

%exclude	/usr/lib/rpmpopt
%exclude	/usr/lib/rpmrc

%attr(0755, rpm, rpm)	%dir %{__prefix}/lib/rpm
%rpmattr	%{__prefix}/lib/rpm/config.guess
%rpmattr	%{__prefix}/lib/rpm/config.sub
%rpmattr	%{__prefix}/lib/rpm/convertrpmrc.sh
%rpmattr	%{__prefix}/lib/rpm/freshen.sh
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/macros
%rpmattr	%{__prefix}/lib/rpm/mkinstalldirs
%rpmattr	%{__prefix}/lib/rpm/rpm.*
%rpmattr	%{__prefix}/lib/rpm/rpm2cpio.sh
%rpmattr	%{__prefix}/lib/rpm/rpm[deiukqv]
%rpmattr	%{__prefix}/lib/rpm/tgpg
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmpopt*
%attr(0644, rpm, rpm)	%{__prefix}/lib/rpm/rpmrc

%ifarch i386 i486 i586 i686 athlon
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/i[3456]86*
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/athlon*
%endif
%ifarch alpha alphaev5 alphaev56 alphapca56 alphaev6 alphaev67
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/alpha*
%endif
%ifarch sparc sparcv8 sparcv9 sparc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/sparc*
%endif
%ifarch ia64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ia64*
%endif
%ifarch powerpc ppc ppciseries ppcpseries ppcmac ppc64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/ppc*
%endif
%ifarch s390 s390x
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/s390*
%endif
%ifarch armv3l armv4l
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/armv[34][lb]*
%endif
%ifarch mips mipsel
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/mips*
%endif
%ifarch x86_64
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/x86_64*
%endif
%attr(-, rpm, rpm)		%{__prefix}/lib/rpm/noarch*

%rpmattr	%{__prefix}/lib/rpm/rpmdb_deadlock
%rpmattr	%{__prefix}/lib/rpm/rpmdb_dump
%rpmattr	%{__prefix}/lib/rpm/rpmdb_load
%rpmattr	%{__prefix}/lib/rpm/rpmdb_loadcvt
%rpmattr	%{__prefix}/lib/rpm/rpmdb_svc
%rpmattr	%{__prefix}/lib/rpm/rpmdb_stat
%rpmattr	%{__prefix}/lib/rpm/rpmdb_verify
%rpmattr	%{__prefix}/lib/rpm/rpmfile

%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/rpm.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/rpm.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/rpm.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/rpm.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/rpm.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/rpm.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/rpm.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/rpm.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/rpm.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/rpm.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/rpm.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/rpm.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/rpm.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/rpm.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/rpm.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/rpm.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/rpm.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/rpm.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/rpm.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/rpm.mo

%{__mandir}/man1/gendiff.1*
%{__mandir}/man8/rpm.8*
%{__mandir}/man8/rpm2cpio.8*
%lang(ja)	%{__mandir}/ja/man[18]/*.[18]*
%lang(pl)	%{__mandir}/pl/man[18]/*.[18]*
%lang(ru)	%{__mandir}/ru/man[18]/*.[18]*
%lang(sk)	%{__mandir}/sk/man[18]/*.[18]*

%files -n %{rtpname}
%defattr(-,root,root,-)
%{__libdir}/librpm-4.3.so
%{__libdir}/librpmdb-4.3.so
%{__libdir}/librpmio-4.3.so
%{__libdir}/librpmbuild-4.3.so

%files build
%defattr(-,root,root)
%dir %{__prefix}/src/redhat
%dir %{__prefix}/src/redhat/BUILD
%dir %{__prefix}/src/redhat/SPECS
%dir %{__prefix}/src/redhat/SOURCES
%dir %{__prefix}/src/redhat/SRPMS
%dir %{__prefix}/src/redhat/RPMS
%{__prefix}/src/redhat/RPMS/*
%rpmattr	%{__bindir}/rpmbuild
%rpmattr	%{__prefix}/lib/rpm/brp-*
%rpmattr	%{__prefix}/lib/rpm/check-files
%rpmattr	%{__prefix}/lib/rpm/check-prereqs
%rpmattr	%{__prefix}/lib/rpm/config.site
%rpmattr	%{__prefix}/lib/rpm/cross-build
%rpmattr	%{__prefix}/lib/rpm/debugedit
%rpmattr	%{__prefix}/lib/rpm/find-debuginfo.sh
%rpmattr	%{__prefix}/lib/rpm/find-lang.sh
%rpmattr	%{__prefix}/lib/rpm/find-prov.pl
%rpmattr	%{__prefix}/lib/rpm/find-provides
%rpmattr	%{__prefix}/lib/rpm/find-provides.perl
%rpmattr	%{__prefix}/lib/rpm/find-req.pl
%rpmattr	%{__prefix}/lib/rpm/find-requires
%rpmattr	%{__prefix}/lib/rpm/find-requires.perl
%rpmattr	%{__prefix}/lib/rpm/get_magic.pl
%rpmattr	%{__prefix}/lib/rpm/getpo.sh
%rpmattr	%{__prefix}/lib/rpm/http.req
%rpmattr	%{__prefix}/lib/rpm/javadeps
%rpmattr	%{__prefix}/lib/rpm/magic
%rpmattr	%{__prefix}/lib/rpm/magic.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.mime
%rpmattr	%{__prefix}/lib/rpm/magic.mime.mgc
%rpmattr	%{__prefix}/lib/rpm/magic.prov
%rpmattr	%{__prefix}/lib/rpm/magic.req
%rpmattr	%{__prefix}/lib/rpm/perldeps.pl
%rpmattr	%{__prefix}/lib/rpm/perl.prov
%rpmattr	%{__prefix}/lib/rpm/perl.req
#%rpmattr	%{__prefix}/lib/rpm/pythondeps.sh

%rpmattr	%{__prefix}/lib/rpm/rpm[bt]
%rpmattr	%{__prefix}/lib/rpm/rpmdeps
%rpmattr	%{__prefix}/lib/rpm/trpm
%rpmattr	%{__prefix}/lib/rpm/u_pkg.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides.sh
%rpmattr	%{__prefix}/lib/rpm/vpkg-provides2.sh

%{__mandir}/man8/rpmbuild.8*
%{__mandir}/man8/rpmdeps.8*

%if %{with_python_subpackage}
%files python
%defattr(-,root,root)
%{__libdir}/python%{with_python_version}/site-packages/rpmmodule.so
%{__libdir}/python%{with_python_version}/site-packages/rpmdb
%endif

%files devel
%defattr(-,root,root)
%if %{with_apidocs}
%doc apidocs
%endif
%{__includedir}/rpm
%{__libdir}/librpm.a
%{__libdir}/librpm.la
%{__libdir}/librpm.so
%{__libdir}/librpmdb.a
%{__libdir}/librpmdb.la
%{__libdir}/librpmdb.so
%{__libdir}/librpmio.a
%{__libdir}/librpmio.la
%{__libdir}/librpmio.so
%{__libdir}/librpmbuild.a
%{__libdir}/librpmbuild.la
%{__libdir}/librpmbuild.so
%{__mandir}/man8/rpmcache.8*
%{__mandir}/man8/rpmgraph.8*
%rpmattr	%{__prefix}/lib/rpm/rpmcache
%rpmattr	%{__bindir}/rpmgraph

%files -n popt
%defattr(-,root,root)
%{__libdir}/libpopt.so.*
%{__mandir}/man3/popt.3*
%lang(cs)	%{__prefix}/*/locale/cs/LC_MESSAGES/popt.mo
%lang(da)	%{__prefix}/*/locale/da/LC_MESSAGES/popt.mo
%lang(de)	%{__prefix}/*/locale/de/LC_MESSAGES/popt.mo
%lang(es)	%{__prefix}/*/locale/es/LC_MESSAGES/popt.mo
%lang(eu_ES)	%{__prefix}/*/locale/eu_ES/LC_MESSAGES/popt.mo
%lang(fi)	%{__prefix}/*/locale/fi/LC_MESSAGES/popt.mo
%lang(fr)	%{__prefix}/*/locale/fr/LC_MESSAGES/popt.mo
%lang(gl)	%{__prefix}/*/locale/gl/LC_MESSAGES/popt.mo
%lang(hu)	%{__prefix}/*/locale/hu/LC_MESSAGES/popt.mo
%lang(id)	%{__prefix}/*/locale/id/LC_MESSAGES/popt.mo
%lang(is)	%{__prefix}/*/locale/is/LC_MESSAGES/popt.mo
%lang(it)	%{__prefix}/*/locale/it/LC_MESSAGES/popt.mo
%lang(ja)	%{__prefix}/*/locale/ja/LC_MESSAGES/popt.mo
%lang(ko)	%{__prefix}/*/locale/ko/LC_MESSAGES/popt.mo
%lang(no)	%{__prefix}/*/locale/no/LC_MESSAGES/popt.mo
%lang(pl)	%{__prefix}/*/locale/pl/LC_MESSAGES/popt.mo
%lang(pt)	%{__prefix}/*/locale/pt/LC_MESSAGES/popt.mo
%lang(pt_BR)	%{__prefix}/*/locale/pt_BR/LC_MESSAGES/popt.mo
%lang(ro)	%{__prefix}/*/locale/ro/LC_MESSAGES/popt.mo
%lang(ru)	%{__prefix}/*/locale/ru/LC_MESSAGES/popt.mo
%lang(sk)	%{__prefix}/*/locale/sk/LC_MESSAGES/popt.mo
%lang(sl)	%{__prefix}/*/locale/sl/LC_MESSAGES/popt.mo
%lang(sr)	%{__prefix}/*/locale/sr/LC_MESSAGES/popt.mo
%lang(sv)	%{__prefix}/*/locale/sv/LC_MESSAGES/popt.mo
%lang(tr)	%{__prefix}/*/locale/tr/LC_MESSAGES/popt.mo
%lang(uk)	%{__prefix}/*/locale/uk/LC_MESSAGES/popt.mo
%lang(wa)	%{__prefix}/*/locale/wa/LC_MESSAGES/popt.mo
%lang(zh)	%{__prefix}/*/locale/zh/LC_MESSAGES/popt.mo
%lang(zh_CN)	%{__prefix}/*/locale/zh_CN.GB2312/LC_MESSAGES/popt.mo

# XXX These may end up in popt-devel but it hardly seems worth the effort.
%{__libdir}/libpopt.a
%{__libdir}/libpopt.la
%{__libdir}/libpopt.so
%{__includedir}/popt.h

%changelog
* Mon Jun 13 2005 Paul Nasrat <pnasrat@redhat.com> 4.3.3-3.0.fc3.1
- sparse patch for lastlog (#155730)

* Tue Dec  7 2004 Jeff Johnson <jbj@jbj.org> 4.3.3-8
- automagically detect and emit "python(abi) = 2.4" dependencies.
- port to internal file-4.10 libmagic rather than libfmagic.

* Sun Dec  5 2004 Jeff Johnson <jbj@jbj.org> 4.3.3-3
- force *.py->*.pyo byte code compilation with brp-python-bytecompile.

* Wed Nov 10 2004 Jeff Johnson <jbj@jbj.org> 4.3.3-1
- bump micro version.
- make peace with libtool-1.5.10 and automake-1.9.3.
- python: add python 2.4 support.
- selinux: use rpm_execcon, not execv, to run scriptlets (#136848).
- fix: segfault on --verifydb (#138589).

* Mon Nov  1 2004 Bill Nottingham <notting@redhat.com> 4.3.2-21
- remove excess rpmIncreaseVerbosity() calls (fixes #137834)

* Sun Oct 31 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-20
- fix: buffer overrun displaying ko_KR (#135389).

* Sat Oct 30 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-18
- reprise file conflicts yet again, flip/flop/flip/flop ...

* Fri Oct 29 2004 Jeff Johnson <jbj@redhat.com> 4.2.3-16
- python: fix RPMPROB_BADRELOCATE segfault return in ts.check (#137116).
- revert selinux patch until fc3 release.

* Fri Oct 22 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-15
- selinux: set "ldconfig_t" for /sbin/ldconfig, else "rpm_script_t".

* Sun Oct 17 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-14
- don't add time stamp to compressed man pages (#132526).

* Fri Oct 15 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-13
- fix: don't set handler if SIG_IGN is already set (#134474).

* Mon Oct 11 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-12
- python: remove ".A" from creaky ts.check() tuple return (#135008).

* Fri Oct  8 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-11
- honor inherited SIG_IGN when establishing rpmdb signal exit (#134474).

* Wed Oct  6 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-10
- display caught signals to diagnose #134474 (gonna be SIGPIPE).
- display N-V-R.A in dependency failure messages.
- selinux: set "rpm_script_t" always, not just for /bin/sh.

* Tue Oct  5 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-9
- fix: revert Obsoletes: "fix" (#134497).
- fix: work around for dangling symlinks not globbed (#134362).

* Fri Oct  1 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-8
- disable static linking until libc*.a provides symbols.

* Thu Sep 30 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-7
- ia64: add autorelocate_dcolor to macros.in.

* Wed Sep 29 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-6
- fix: mark uninstalled elf32 files in rpmdb to disable -Va checks.

* Wed Sep 15 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-4
- print dependency loops as warning iff --anaconda is specified.

* Sat Sep  4 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-2
- ia64: make sure that autorelocated file dependencies are satisfied.
- ia64: relocate all scriptlet interpreters.
- ia64: don't bother trying to preload autorelocated modules.
- fix: filesystem package needs mail/lock w/o getgrnam.
- fix: do getpwnam/getgrnam to load correct modules before chroot.
- restore file conflict detection traditional behavior.

* Fri Aug 20 2004 Jeff Johnson <jbj@redhat.com> 4.3.2-0.9
- fix: static glibc/libgcc helpers always installed (#127522).
- fix: defattr for rpm-libs (#130461).

* Thu Aug 19 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-0.7
- shared libraries in separate rpm-libs package.
- avoid "can't happen" recursion while retrieving pubkeys.
- add ppc32dy4 arch.
- make peace with automake 1.9.1.

* Fri Jul  9 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-0.6
- fix: evaluate rather than default file_contexts path. (#127501).

* Mon Jul  5 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-0.5
- change default behavior to resolve file conflicts as LIFO.
- add --fileconflicts to recover rpm traditional behavior.
- prefer elf64 over elf32 files, everywhere and always (#126853).
- ia64: auto-relocate entire, not partial, directory contents (#126905).
- ia64: auto-relocate glibc.ix86 interpreter path (#100563).

* Wed Jun 16 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-0.4
- add ppc8[25]60 arches.

* Mon Jun 14 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-0.3
- add 'requires' and 'conflicts' tag aliases.
- python: return ds, not tuple, for ds iteration.
- python: permit integer keys to ts.dbMatch().
- xml: use <foo/> markup for empty tags.
- xml: <integer/> instead of <integer>0</integer> markup.
- fix: disable fingerprint generation on kernel paths.

* Tue Jun  8 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-0.2
- lua embedded in rpmio.
- use lua to identify desired selinux file context regexes.

* Tue Jun  1 2004 Jeff Johnson <jbj@jbj.org> 4.3.2-0.1
- use /etc/selinux/targeted/contexts/files/file_contexts for now.
- disable file contexts into package metadata during build.
- fix: dev package build on s390x hack around.
- fix: "/path/foo.../bar" was losing a dot (#123844).
- fix: PIE executables have basename-as-soname provides (#123697).
- add aurora/sparc patches (#124469).
- use poll(2) if available, avoid borked aurora/sparc select (#124574).

* Sun May 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Disable O_DIRECT.

* Thu Apr 15 2004 Jeff Johnson <jbj@jbj.org> 4.3.1-0.3
- make peace with libtool-1.5.6.
- fix: follow current is_selinux_enabled() return (#121004).

* Wed Apr  7 2004 Jeff Johnson <jbj@jbj.org> 4.3.1-0.2
- fix: segfault on --recontext if file_contexts unreadable (#117374).
- fix: /etc/security/selinux/file_contexts is default path.
- fix: no transaction lock if --test was specified (#119783).
- perl: skip new-fangled head[34] while generating deps (#118243).
- perl: use __perl for perl variable macros (#115156).

* Tue Mar 30 2004 Jeff Johnson <jbj@jbj.org> 4.3.1-0.1
- fix: don't add leading space to %* argv expansion (#119059).
- scareMem = 0 everywhere, document deprecation phase out.
- fix: add u+w to FIXPERMS.
- add buildtime to rpmds, methods to retrieve.
- python: hide labelCompare() underneath ds.cmp(a,b).

* Tue Mar 16 2004 Jeff Johnson <jbj@redhat.com> 4.3-0.22
- fix: grrr, skip notes on non-i386 entirely.

* Fri Mar 12 2004 Jeff Johnson <jbj@jbj.org> 4.3-0.21
- fix: increase file context regex parse buffer to BUFSIZ.
- fix: handle elf64 note sections correctly.

* Wed Mar 10 2004 Jeff Johnson <jbj@jbj.org> 4.3-0.20
- add sparcv8 and enable elf32/elf64 Zon sparc64 (#117302).
- fix: --querybynumber looped.
- fix: ENOTSUP filter from lsetfilecon borkage.

* Tue Mar  9 2004 Jeff Johnson <jbj@jbj.org> 4.3-0.19
- fix: sq->reaped needs sighold(SIGCHLD)/sigrelease(SIGCHLD) (#117620).

* Fri Mar  5 2004 Jeff Johnson <jbj@redhat.com> 4.3-0.18
- selinux: ignore ENOTSUP return from lsetfilecon.

* Mon Mar  1 2004 Jeff Johnson <jbj@jbj.org> 4.3-0.17
- permit globs in macrofiles: directive (#117217).
- fix: segfault generating transaction serialization lock path.
- use /etc/security/selinux/file_contexts instead.

* Wed Feb 25 2004 Jeff Johnson <jbj@jbj.org> 4.3-0.15
- serialize rpmtsRun() using fcntl on /var/lock/rpm/transaction.

* Sun Feb 22 2004 Jeff Johnson <jbj@jbj,org> 4.3-0.14
- add ia32e arch.
- stable sort for policy specifications, patterns before paths.
- set "rpm_script_t" exec type for scriptlets iff /bin/sh, else default.
- force FD_CLOEXEC on 1st 100 inherited fdno's.

* Sat Feb 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 4.3.
- Sync with rawhide.

* Fri Feb 20 2004 Jeff Johnson <jbj@jbj.org> 4.3-0.13
- fix: only first "mkdir -p" directory had context set.

* Wed Feb 18 2004 Jeff Johnson <jbj@redhat.com> 4.3-0.12
- python: add patch to rpm-4_3 to initialize RE contexts.

* Mon Oct  6 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Work around mkinstalldirs bug.

* Wed Aug 27 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Disable O_DIRECT (package had been upgraded on ftp.rpm.org without changing NEVR).

* Wed Jul 16 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.30
- repair find-debuginfo.sh to avoid recursing in /usr/lib/debug.
- fix: ia64: don't attempt autorelocate on .src.rpm's.
- fix: debuginfo: -not -path /usr/lib/debug needed -prune too.

* Thu Jul 10 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.26
- apply debugedit patch necessary to produce kernel -debuginfo files.
- zap zlib files so that apidocs gets included.

* Wed Jul  9 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.21
- resolve elf32/elf64 file conflicts to prefer elf64.

* Tue Jul  8 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.20
- resurrect manifests, RPMRC_NOTFOUND returned by readLead().
- python: missed tuple refcount in IDTXload/IDTXglob.
- fix: IDTXglob should return REMOVETID sorted headers (#89857).

* Wed Jul  2 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.19
- autorelocate ix86 package file paths on ia64.

* Tue Jul  1 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.18
- don't attempt to remove dbenv on --rebuilddb.
- rebuild.

* Tue Jun 24 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.17
- update for fr.po (#97829).

* Fri Jun 20 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.16
- brp-python-bytecompile to automagically bytecode compile python.

* Thu Jun 19 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.15
- 2nd test release.

* Thu Jun 12 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.13
- fdCLose typo (#97257).
- test release.

* Mon Jun  9 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.12
- gratuitous bump/rebuild to exclude ppc64 for the moment.

* Thu Jun  5 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.11
- update ja man pages (#92261).
- backport rpmsw stopwatch, insturment rpmts operations.
- toy method to enable --stats through bindings.

* Wed Jun  4 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.8
- pass structure pointer, not args, through headerSprintf call chain.
- add ":xml" header format modifier.
- --queryformat '[%%{*:xml}\n]' to dump header content in XML.
- add ".arch" suffix to erase colored packages with identical NEVR.

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.6
- rebuild against fixes in beecrypt-3.0.0-0.20030603.
- treat missing epoch's exactly the same as Epoch: 0.

* Mon Jun  2 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.4
- rebuild against fixes in beecrypt-3.0.0-0.20030602.

* Thu May 29 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.3
- build with external beecrypt-3.0.0.
- blueprint beecrypt-3.0.0 changes against rpm-4.3.
- x86_64 -> athlon, ppc64[ip]series -> ppc64 arch compatibility.

* Thu Mar 27 2003 Jeff Johnson <jbj@redhat.com> 4.2.1-0.1
- start rpm-4.2.1.
- hack out O_DIRECT support in db4 for now.

* Tue Mar 25 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add elfutils-devel requirement to rpm-devel.

